{# _datamax/api/templates/api_exchange/add.html_ #}
{% extends "api_exchange_layout.html" %}

{% block body %}
<a class="card-link" href="#">
    <h5 class="card-title">Add API to the system</h5>
</a>
<br/>
<form method="post" action="{{ url_for('api_exchange.index') }}" id="addAPIform">
    <input type="hidden" name="name" value="add_api">
    <input type="hidden" name="sequence" value="1">

    <div class="form-group">
        <label for="name">API Name</label>
        <input type="text" class="form-control" id="name" placeholder="" name="api_name">
        <small id="nameHelp" class="form-text text-muted">
            API name has to be unique.
        </small>
    </div><!-- .name -->
    <div class="form-group">
        <label for="description">Description</label>
        <input type="text" class="form-control" id="description" placeholder="" name="description" required>
        <small id="descriptionHelp" class="form-text text-muted">
        </small>
    </div><!-- .description -->
    <div class="form-group">
        <label for="connection">Connection</label>
        <select class="form-control" id="connection" name="connector_id">

        </select>
        <small id="connectionHelp" class="form-text text-muted">
        </small>
    </div><!-- .connection -->
    <div class="form-group">
        <label for="query">Query</label>
        <textarea class="form-control" id="query" name="query" placeholder="select * from my_table where name = %(param_name)s"></textarea>
        <small id="queryHelp" class="form-text text-muted">
            Use named parameters as per the PEP 249 guidelines. Example: %(param_name)s, %(id)s.
        </small>
    </div><!-- .query -->
    <div class="form-group">
        <label for="category">Category</label>
        <input type="text" class="form-control" id="category" placeholder="" name="category" required>
    </div><!-- .category -->
    <div class="form-group">
        <label for="status">Status</label>
        <input type="text"  class="form-control" name="status" value="pending" readonly id="status">
        <small id="statusHelp" class="form-text text-muted">
            You will need to approve the API to use it in the project.
        </small>
    </div><!-- .status -->
    <input type="submit" class="btn btn-primary float-right" name="submit" value="Add">
    <div class="loading float-right"></div>

</form>

<script>
    $(document).ready(function(){
        $.ajax({
            type: "GET",
            url: "{{ url_for('api_exchange.index') }}",
            data: 'name=all_connections',
            success: function(data){
              $.each(data.Contents, function(index, val){
                $("#connection").append('<option value="' + val.id + '">' + val.name + '</option>');
              });
            }
        });
    });

    $("#addAPIform").submit(function() {
        $.ajax({
         type: "POST",
         url: $(this).attr('action'),
         data: $(this).serialize(),
         success: function(data) {
                console.log(data);
                window.location.href = "{{ url_for('views_exchange.all_api') }}";
         }
       });
       return false;
    });
</script>

{% endblock %}